# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", "");print(t)}
%global project_name %{archive_name}

%global source_version 1.0
%global source_release 8
%global source_url     https://scripts.sil.org/ApparatusSIL

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Apparatus SIL
%global fonts_summary            Apparatus SIL, a font family for rendering Greek & Hebrew biblical texts
%global fonts_fonts              *.ttf *.TTF
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
The Apparatus SIL font family was designed to provide most of the symbols
needed to reproduce the textual apparatus found in major editions of Greek &
Hebrew biblical texts. It is based on SIL Charis, a font family designed for
optimum clarity and compactness when printed at small point sizes. This assures
that both Charis SIL and Apparatus SIL can be used together in documents with a
consistency of style.

Most lines of text in the apparatus can be reproduced by combining the Greek
and Hebrew font families, transliteration (using a font such as Charis SIL),
and the Apparatus SIL font.}

%auto_init
%auto_pkg

%sourcelist
https://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=AppSIL%{version}.zip&filename=%{archive_name}.zip#/%{archive_name}.zip
60-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
